<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('items', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('items', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('items', function(Blueprint $table) {
			$table->foreign('wishlist_id')->references('id')->on('wishlists')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('item_images', function(Blueprint $table) {
			$table->foreign('item_id')->references('id')->on('users')
						->onDelete('set null')
						->onUpdate('cascade');
		});
		Schema::table('wishlist_categories', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('wishlists', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('item_offers', function(Blueprint $table) {
			$table->foreign('offer_item_id')->references('id')->on('items')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_social_networks', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('items', function(Blueprint $table) {
			$table->dropForeign('items_user_id_foreign');
		});
		Schema::table('items', function(Blueprint $table) {
			$table->dropForeign('items_category_id_foreign');
		});
		Schema::table('items', function(Blueprint $table) {
			$table->dropForeign('items_wishlist_id_foreign');
		});
		Schema::table('item_images', function(Blueprint $table) {
			$table->dropForeign('item_images_item_id_foreign');
		});
		Schema::table('wishlist_categories', function(Blueprint $table) {
			$table->dropForeign('wishlist_categories_category_id_foreign');
		});
		Schema::table('wishlists', function(Blueprint $table) {
			$table->dropForeign('wishlists_user_id_foreign');
		});
		Schema::table('item_offers', function(Blueprint $table) {
			$table->dropForeign('item_offers_offer_item_id_foreign');
		});
		Schema::table('user_social_networks', function(Blueprint $table) {
			$table->dropForeign('user_social_networks_user_id_foreign');
		});
	}
}